compose_metadata:
  config-hash: 85f6bb0293d9ae5704eb615659aef722a4288e0ca9dbc764a9f4928430ca9150
  container-number: '1'
  depends_on: ''
  image: sha256:56a5b20c7a157dbb94149ba3cce70da76f02e1645dec234379709ddaebe607ea
  oneoff: 'False'
  project: appflowy-cloud
  project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  project.working_dir: /home/jon/AppFlowy-Cloud
  replace: cfb85645459e629839140e4916580cb60e85221852b25782436eeac2017c23dd
  service: postgres
  version: 2.33.1
container_id: eaf6e00f87ebdb9d954be9bd0242bca1cfc4f24a6ff84aba3c54f24f695a42d8
created: '2025-08-19T15:05:45.133317346Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  GOSU_VERSION: '1.17'
  LANG: en_US.utf8
  PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/16/bin
  PGDATA: /var/lib/postgresql/data
  PG_MAJOR: '16'
  PG_VERSION: 16.10-1.pgdg12+1
  POSTGRES_DB: postgres
  POSTGRES_HOST: postgres
  POSTGRES_PASSWORD: '***SENSITIVE_VALUE*** (pass...)'
  POSTGRES_USER: postgres
execution:
  cmd:
  - postgres
  entrypoint:
  - docker-entrypoint.sh
  stop_signal: SIGINT
  user: ''
  working_dir: ''
host_system: surface_20250824
image:
  platform: linux
  sha: sha256:56a5b20c7a157dbb94149ba3cce70da76f02e1645dec234379709ddaebe607ea
  tag: pgvector/pgvector:pg16
labels:
  com.docker.compose.config-hash: 85f6bb0293d9ae5704eb615659aef722a4288e0ca9dbc764a9f4928430ca9150
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: ''
  com.docker.compose.image: sha256:56a5b20c7a157dbb94149ba3cce70da76f02e1645dec234379709ddaebe607ea
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: appflowy-cloud
  com.docker.compose.project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  com.docker.compose.project.working_dir: /home/jon/AppFlowy-Cloud
  com.docker.compose.replace: cfb85645459e629839140e4916580cb60e85221852b25782436eeac2017c23dd
  com.docker.compose.service: postgres
  com.docker.compose.version: 2.33.1
name: appflowy-cloud-postgres-1
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    appflowy-cloud_default:
      aliases:
      - appflowy-cloud-postgres-1
      - postgres
      dns_names:
      - appflowy-cloud-postgres-1
      - postgres
      - eaf6e00f87eb
      endpoint_id: ef72230104e7ecc8ff4a67d0e4543585fe5cfd48aa5f3119e856a43361292bbc
      gateway: 172.20.0.1
      global_ipv6_address: ''
      ip_address: 172.20.0.8
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: 62:25:54:da:9a:e8
      network_id: 97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c
  publish_all_ports: false
ports:
  bindings: {}
  exposed:
  - 5432/tcp
  published: {}
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: appflowy-cloud_default
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: on-failure
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/interrupts
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  - /sys/devices/system/cpu/cpu0/thermal_throttle
  - /sys/devices/system/cpu/cpu1/thermal_throttle
  - /sys/devices/system/cpu/cpu2/thermal_throttle
  - /sys/devices/system/cpu/cpu3/thermal_throttle
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: system_audit_surface_20250824_112825/discovery/2_services/container_appflowy-cloud-postgres-1.json
volumes:
  bind_strings: []
  detailed_mounts:
  - destination: /var/lib/postgresql/data
    driver: local
    mode: z
    name: appflowy-cloud_postgres_data
    propagation: ''
    rw: true
    source: /var/snap/docker/common/var-lib-docker/volumes/appflowy-cloud_postgres_data/_data
    type: volume
